Subject: Re: [PATCH] [POWERPC][RFC] MPC8360E-RDK: Device tree and board file

From: Anton Vorontsov <[email-masked]>
Date: Tue, 18 Dec 2007 19:51:35 +0300

On Tue, Dec 18, 2007 at 10:16:49AM -0600, Scott Wood wrote:
> David Gibson wrote:
> >In this case the driver and binding have been developed together and
> >for the time being it does require PHY nodes, obviously.  I'm saying
> >that maybe that requirement ought to be changed.
> 
> I don't see why.
> 
> >Well, phandle is only used to find the phy node itself, so it doesn't
> >count.  The only piece of information there is the reg - the PHY id.
> >Following a phandle to another node is a fairly complex way of finding
> >a single integer.  
> >
> >Eh, I guess it's ok, but just directly giving the PHY id or a probe
> >mask in the MAC node would also be fine (we do this for 4xx EMAC).
> 
> It's not just a simple integer -- it also tells you which mdio bus it's on.

Exactly. And at least one board (MPC8568E-MDS) using this feature:
UECs are using PHYs placed on the TSEC's MDIO bus. This is hardware
configurable, and could be contrariwise: TSECs can use PHYs that
are under control of UEC MDIO bus controller.

That's why we're naming PHYs as bus:phyid.

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2